import 'dart:async';
import 'package:cached_network_image/cached_network_image.dart';
import 'package:flutter/material.dart';
import 'package:vgkprogaming/model/vgk-card-image-widget-model.dart';
import 'package:vgkprogaming/theme/vgk-shared-theme.dart';

class VgkCardImageWithBottomWidget extends StatefulWidget {
  const VgkCardImageWithBottomWidget(
      {Key key,
      this.mainScreenAnimationController,
      this.mainScreenAnimation,
      this.data})
      : super(key: key);

  final AnimationController mainScreenAnimationController;
  final Animation<dynamic> mainScreenAnimation;
  final VgkCardImageWidgetModel data;
  @override
  _VgkCardImageWithBottomWidgetState createState() =>
      _VgkCardImageWithBottomWidgetState();
}

class _VgkCardImageWithBottomWidgetState
    extends State<VgkCardImageWithBottomWidget> with TickerProviderStateMixin {
  AnimationController animationController;

  @override
  void initState() {
    animationController = AnimationController(
      duration: Duration(milliseconds: VgkProGamingTheme.milliseconds),
      vsync: this,
    );
    super.initState();
  }

  Future<bool> getData() async {
    await Future<dynamic>.delayed(const Duration(milliseconds: 50));
    return true;
  }

  @override
  void dispose() {
    animationController.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return AnimatedBuilder(
      animation: widget.mainScreenAnimationController,
      builder: (BuildContext context, Widget child) {
        return FadeTransition(
          opacity: widget.mainScreenAnimation,
          child: Transform(
              transform:
                  VgkProGamingTheme.subTransform(widget.mainScreenAnimation),
              child: Container(
                child: Card(
                  child: InkWell(
                    splashColor: Colors.blue.withAlpha(30),
                    onTap: () {},
                    child: Container(
                      child: Padding(
                        padding: EdgeInsets.all(12.0),
                        child: Column(
                          children: [
                            Row(
                              children: <Widget>[
                                Text("ted"),
                                Spacer(),
                                new ButtonBar(
                                  children: <Widget>[
                                    new IconButton(
                                      icon: Icon(
                                        Icons.map,
                                        color: Colors.redAccent,
                                      ),
                                      //onPressed: BOOKMARK,
                                    ),
                                    new IconButton(
                                      icon: Icon(Icons.map),
                                      //onPressed: COPY,
                                    ),
                                  ],
                                )
                              ],
                            ),
                            AspectRatio(
                              aspectRatio: 2,
                              child: CachedNetworkImage(
                                imageUrl: widget.data.src,
                                fit: BoxFit.fill,
                                progressIndicatorBuilder:
                                    (context, url, downloadProgress) =>
                                        CircularProgressIndicator(
                                            value: downloadProgress.progress),
                                errorWidget: (context, url, error) =>
                                    Icon(Icons.error),
                              ),
                            ),
                          ],
                        ),
                      ),
                    ),
                  ),
                ),
                decoration: new BoxDecoration(
                  boxShadow: [
                    new BoxShadow(
                      color: Colors.black,
                      blurRadius: 20.0,
                    ),
                  ],
                ),
              )

              // child: Container(
              //   padding: VgkProGamingTheme.edgeInsetsPaddingDoubleExtraLarge,
              //   child: ClipRRect(
              //     child: Stack(
              //       children: <Widget>[
              //         Column(
              //           children: <Widget>[
              //             AspectRatio(
              //               aspectRatio: 2,
              //               child: CachedNetworkImage(
              //                 imageUrl: widget.data.src,
              //                 fit: BoxFit.fill,
              //                 progressIndicatorBuilder:
              //                     (context, url, downloadProgress) =>
              //                         CircularProgressIndicator(
              //                             value: downloadProgress.progress),
              //                 errorWidget: (context, url, error) =>
              //                     Icon(Icons.error),
              //               ),
              //             ),
              //             BottomNavigationDotBar(
              //               // Usar -> "BottomNavigationDotBar"
              //               items: <BottomNavigationDotBarItem>[
              //                 BottomNavigationDotBarItem(
              //                     icon: Icons.map,
              //                     onTap: () {
              //                       /* Cualquier funcion - [abrir nueva venta] */
              //                     }),
              //                 BottomNavigationDotBarItem(
              //                     icon: Icons.alarm_add,
              //                     onTap: () {
              //                       /* Cualquier funcion - [abrir nueva venta] */
              //                     }),
              //                 BottomNavigationDotBarItem(
              //                     icon: Icons.timer,
              //                     onTap: () {
              //                       /* Cualquier funcion - [abrir nueva venta] */
              //                     }),
              //               ],
              //             ),
              //             // Container(
              //             //   child: Row(
              //             //     children: <Widget>[
              //             //       Expanded(
              //             //         child: TextButton(
              //             //           style: VgkProGamingTheme.flatButtonStyle,
              //             //           onPressed: () {},
              //             //           child: Row(
              //             //             children: <Widget>[
              //             //               Icon(
              //             //                 Icons.arrow_upward,
              //             //                 color: Colors.white,
              //             //               ),
              //             //               Padding(
              //             //                 padding: const EdgeInsets.symmetric(
              //             //                     vertical: 2.0),
              //             //               ),
              //             //               Text(
              //             //                 'Close',
              //             //                 style: TextStyle(color: Colors.white),
              //             //               ),
              //             //             ],
              //             //           ),
              //             //         ),
              //             //       ),
              //             //       Expanded(
              //             //         child: TextButton(
              //             //           style: VgkProGamingTheme.flatButtonStyle,
              //             //           onPressed: () {},
              //             //           child: Row(
              //             //             children: <Widget>[
              //             //               Icon(
              //             //                 Icons.arrow_upward,
              //             //                 color: Colors.white,
              //             //               ),
              //             //               Padding(
              //             //                 padding: const EdgeInsets.symmetric(
              //             //                     vertical: 2.0),
              //             //               ),
              //             //               Text(
              //             //                 'Close',
              //             //                 style: TextStyle(color: Colors.white),
              //             //               ),
              //             //             ],
              //             //           ),
              //             //         ),
              //             //       ),
              //             //       Expanded(
              //             //         child: TextButton(
              //             //           style: VgkProGamingTheme.flatButtonStyle,
              //             //           onPressed: () {},
              //             //           child: Row(
              //             //             children: <Widget>[
              //             //               Icon(
              //             //                 Icons.arrow_upward,
              //             //                 color: Colors.white,
              //             //               ),
              //             //               Padding(
              //             //                 padding: const EdgeInsets.symmetric(
              //             //                     vertical: 2.0),
              //             //               ),
              //             //               Text(
              //             //                 'Close',
              //             //                 style: TextStyle(color: Colors.white),
              //             //               ),
              //             //             ],
              //             //           ),
              //             //         ),
              //             //       ),
              //             //     ],
              //             //   ),
              //             // ),
              //           ],
              //         ),
              //       ],
              //     ),
              //   ),
              // ),
              ),
        );
      },
    );
  }
}
